<?php

class Comentario extends UtilObjeto {

    public function __construct($params = "") {
        parent::__construct(strtolower(get_class()), $params);
    }

    public static function listar($filtro = "") {
        global $db;
        $sql = "SELECT c.*, p.nome produto, p.codigo produtoCodigo 
				FROM   rz2_comentario c
				JOIN   rz2_produto p
				ON     c.id_produto = p.id
				JOIN   rz2_produto_categoria pc
				ON	   p.id = pc.id_produto
				AND    pc.principal = 's'
				WHERE 1=1
				" . $filtro;
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while ($rg = $rs->fetchRow()) {
            foreach ($rg as $campo => $valor) {
                $arrLista[$rg['id']][$campo] = $valor;
            }
        }
        return (count($arrLista) > 0) ? $arrLista : false;
    }

}

?>